diff --git a/dirsrvtests/tests/suites/replication/cleanallruv_test.py b/dirsrvtests/tests/suites/replication/cleanallruv_test.py
index afed323..2ac9961 100644
--- a/dirsrvtests/tests/suites/replication/cleanallruv_test.py
+++ b/dirsrvtests/tests/suites/replication/cleanallruv_test.py
@@ -598,7 +320,7 @@ def restore_master4(topology):
     time.sleep(1)
 
     # Check replication is working from master 1 to  master 4...
-    if topology.master1.testReplication(DEFAULT_SUFFIX, topology.master4):
+    if topology_m4.ms["master1"].testReplication(DEFAULT_SUFFIX, topology_m4.ms["master4"]):
         log.info('Replication is working m1 -> m4.')
     else:
         log.fatal('restore_master4: Replication is not working from m1 -> m4.')
@@ -606,7 +328,7 @@ def restore_master4(topology):
     time.sleep(1)
 
     # Check replication is working from master 4 to master1...
-    if topology.master4.testReplication(DEFAULT_SUFFIX, topology.master1):
+    if topology_m4.ms["master4"].testReplication(DEFAULT_SUFFIX, topology_m4.ms["master1"]):
         log.info('Replication is working m4 -> m1.')
     else:
         log.fatal('restore_master4: Replication is not working from m4 -> 1.')
@@ -616,7 +338,7 @@ def restore_master4(topology):
     log.info('Master 4 has been successfully restored.')
 
 
-def test_cleanallruv_init(topology):
+def test_cleanallruv_init(topology_m4):
     '''
     Make updates on each master to make sure we have the all master RUVs on
     each master.
@@ -625,61 +347,61 @@ def test_cleanallruv_init(topology):
     log.info('Initializing cleanAllRUV test suite...')
 
     # Master 1
-    if not topology.master1.testReplication(DEFAULT_SUFFIX, topology.master2):
+    if not topology_m4.ms["master1"].testReplication(DEFAULT_SUFFIX, topology_m4.ms["master2"]):
         log.fatal('test_cleanallruv_init: Replication is not working between master 1 and master 2.')
         assert False
 
-    if not topology.master1.testReplication(DEFAULT_SUFFIX, topology.master3):
+    if not topology_m4.ms["master1"].testReplication(DEFAULT_SUFFIX, topology_m4.ms["master3"]):
         log.fatal('test_cleanallruv_init: Replication is not working between master 1 and master 3.')
         assert False
 
-    if not topology.master1.testReplication(DEFAULT_SUFFIX, topology.master4):
+    if not topology_m4.ms["master1"].testReplication(DEFAULT_SUFFIX, topology_m4.ms["master4"]):
         log.fatal('test_cleanallruv_init: Replication is not working between master 1 and master 4.')
         assert False
 
     # Master 2
-    if not topology.master2.testReplication(DEFAULT_SUFFIX, topology.master1):
+    if not topology_m4.ms["master2"].testReplication(DEFAULT_SUFFIX, topology_m4.ms["master1"]):
         log.fatal('test_cleanallruv_init: Replication is not working between master 2 and master 1.')
         assert False
 
-    if not topology.master2.testReplication(DEFAULT_SUFFIX, topology.master3):
+    if not topology_m4.ms["master2"].testReplication(DEFAULT_SUFFIX, topology_m4.ms["master3"]):
         log.fatal('test_cleanallruv_init: Replication is not working between master 2 and master 3.')
         assert False
 
-    if not topology.master2.testReplication(DEFAULT_SUFFIX, topology.master4):
+    if not topology_m4.ms["master2"].testReplication(DEFAULT_SUFFIX, topology_m4.ms["master4"]):
         log.fatal('test_cleanallruv_init: Replication is not working between master 2 and master 4.')
         assert False
 
     # Master 3
-    if not topology.master3.testReplication(DEFAULT_SUFFIX, topology.master1):
+    if not topology_m4.ms["master3"].testReplication(DEFAULT_SUFFIX, topology_m4.ms["master1"]):
         log.fatal('test_cleanallruv_init: Replication is not working between master 2 and master 1.')
         assert False
 
-    if not topology.master3.testReplication(DEFAULT_SUFFIX, topology.master2):
+    if not topology_m4.ms["master3"].testReplication(DEFAULT_SUFFIX, topology_m4.ms["master2"]):
         log.fatal('test_cleanallruv_init: Replication is not working between master 2 and master 2.')
         assert False
 
-    if not topology.master3.testReplication(DEFAULT_SUFFIX, topology.master4):
+    if not topology_m4.ms["master3"].testReplication(DEFAULT_SUFFIX, topology_m4.ms["master4"]):
         log.fatal('test_cleanallruv_init: Replication is not working between master 2 and master 4.')
         assert False
 
     # Master 4
-    if not topology.master4.testReplication(DEFAULT_SUFFIX, topology.master1):
+    if not topology_m4.ms["master4"].testReplication(DEFAULT_SUFFIX, topology_m4.ms["master1"]):
         log.fatal('test_cleanallruv_init: Replication is not working between master 2 and master 1.')
         assert False
 
-    if not topology.master4.testReplication(DEFAULT_SUFFIX, topology.master2):
+    if not topology_m4.ms["master4"].testReplication(DEFAULT_SUFFIX, topology_m4.ms["master2"]):
         log.fatal('test_cleanallruv_init: Replication is not working between master 2 and master 2.')
         assert False
 
-    if not topology.master4.testReplication(DEFAULT_SUFFIX, topology.master3):
+    if not topology_m4.ms["master4"].testReplication(DEFAULT_SUFFIX, topology_m4.ms["master3"]):
         log.fatal('test_cleanallruv_init: Replication is not working between master 2 and master 3.')
         assert False
 
     log.info('Initialized cleanAllRUV test suite.')
 
 
-def test_cleanallruv_clean(topology):
+def test_cleanallruv_clean(topology_m4):
     '''
     Disable a master, remove agreements to that master, and clean the RUVs on
     the remaining replicas
@@ -689,20 +411,16 @@ def test_cleanallruv_clean(topology):
 
     # Disable master 4
     log.info('test_cleanallruv_clean: disable master 4...')
-    try:
-        topology.master4.replica.disableReplication(DEFAULT_SUFFIX)
-    except:
-        log.fatal('error!')
-        assert False
+    topology_m4.ms["master4"].replica.disableReplication(DEFAULT_SUFFIX)
 
     # Remove the agreements from the other masters that point to master 4
-    remove_master4_agmts("test_cleanallruv_clean", topology)
+    remove_master4_agmts("test_cleanallruv_clean", topology_m4)
 
     # Run the task
     log.info('test_cleanallruv_clean: run the cleanAllRUV task...')
     try:
-        topology.master1.tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX, replicaid='4',
-                                           args={TASK_WAIT: True})
+        topology_m4.ms["master1"].tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX, replicaid='4',
+                                                    args={TASK_WAIT: True})
     except ValueError as e:
         log.fatal('test_cleanallruv_clean: Problem running cleanAllRuv task: ' +
                   e.message('desc'))
@@ -710,7 +428,7 @@ def test_cleanallruv_clean(topology):
 
     # Check the other master's RUV for 'replica 4'
     log.info('test_cleanallruv_clean: check all the masters have been cleaned...')
-    clean = check_ruvs("test_cleanallruv_clean", topology)
+    clean = check_ruvs("test_cleanallruv_clean", topology_m4)
 
     if not clean:
         log.fatal('test_cleanallruv_clean: Failed to clean replicas')
@@ -721,10 +439,10 @@ def test_cleanallruv_clean(topology):
     #
     # Cleanup - restore master 4
     #
-    restore_master4(topology)
+    restore_master4(topology_m4)
 
 
-def test_cleanallruv_clean_restart(topology):
+def test_cleanallruv_clean_restart(topology_m4):
     '''
     Test that if a master istopped during the clean process, that it
     resumes and finishes when its started.
@@ -734,23 +452,19 @@ def test_cleanallruv_clean_restart(topology):
 
     # Disable master 4
     log.info('test_cleanallruv_clean_restart: disable master 4...')
-    try:
-        topology.master4.replica.disableReplication(DEFAULT_SUFFIX)
-    except:
-        log.fatal('error!')
-        assert False
+    topology_m4.ms["master4"].replica.disableReplication(DEFAULT_SUFFIX)
 
     # Remove the agreements from the other masters that point to master 4
     log.info('test_cleanallruv_clean: remove all the agreements to master 4...')
-    remove_master4_agmts("test_cleanallruv_clean restart", topology)
+    remove_master4_agmts("test_cleanallruv_clean restart", topology_m4)
 
     # Stop master 3 to keep the task running, so we can stop master 1...
-    topology.master3.stop(timeout=30)
+    topology_m4.ms["master3"].stop(timeout=30)
 
     # Run the task
     log.info('test_cleanallruv_clean_restart: run the cleanAllRUV task...')
     try:
-        (task_dn, rc) = topology.master1.tasks.cleanAllRUV(
+        (task_dn, rc) = topology_m4.ms["master1"].tasks.cleanAllRUV(
             suffix=DEFAULT_SUFFIX, replicaid='4', args={TASK_WAIT: False})
     except ValueError as e:
         log.fatal('test_cleanallruv_clean_restart: Problem running cleanAllRuv task: ' +
@@ -759,27 +473,27 @@ def test_cleanallruv_clean_restart(topology):
 
     # Sleep a bit, then stop master 1
     time.sleep(5)
-    topology.master1.stop(timeout=30)
+    topology_m4.ms["master1"].stop(timeout=30)
 
     # Now start master 3 & 1, and make sure we didn't crash
-    topology.master3.start(timeout=30)
-    if topology.master3.detectDisorderlyShutdown():
+    topology_m4.ms["master3"].start(timeout=30)
+    if topology_m4.ms["master3"].detectDisorderlyShutdown():
         log.fatal('test_cleanallruv_clean_restart: Master 3 previously crashed!')
         assert False
 
-    topology.master1.start(timeout=30)
-    if topology.master1.detectDisorderlyShutdown():
+    topology_m4.ms["master1"].start(timeout=30)
+    if topology_m4.ms["master1"].detectDisorderlyShutdown():
         log.fatal('test_cleanallruv_clean_restart: Master 1 previously crashed!')
         assert False
 
     # Wait a little for agmts/cleanallruv to wake up
-    if not task_done(topology, task_dn):
+    if not task_done(topology_m4, task_dn):
         log.fatal('test_cleanallruv_clean_restart: cleanAllRUV task did not finish')
         assert False
 
     # Check the other master's RUV for 'replica 4'
     log.info('test_cleanallruv_clean_restart: check all the masters have been cleaned...')
-    clean = check_ruvs("test_cleanallruv_clean_restart", topology)
+    clean = check_ruvs("test_cleanallruv_clean_restart", topology_m4)
     if not clean:
         log.fatal('Failed to clean replicas')
         assert False
@@ -789,10 +503,10 @@ def test_cleanallruv_clean_restart(topology):
     #
     # Cleanup - restore master 4
     #
-    restore_master4(topology)
+    restore_master4(topology_m4)
 
 
-def test_cleanallruv_clean_force(topology):
+def test_cleanallruv_clean_force(topology_m4):
     '''
     Disable a master, remove agreements to that master, and clean the RUVs on
     the remaining replicas
@@ -801,33 +515,29 @@ def test_cleanallruv_clean_force(topology):
     log.info('Running test_cleanallruv_clean_force...')
 
     # Stop master 3, while we update master 4, so that 3 is behind the other masters
-    topology.master3.stop(timeout=10)
+    topology_m4.ms["master3"].stop(timeout=10)
 
     # Add a bunch of updates to master 4
-    m4_add_users = AddUsers(topology.master4, 1500)
+    m4_add_users = AddUsers(topology_m4.ms["master4"], 1500)
     m4_add_users.start()
     m4_add_users.join()
 
     # Disable master 4
     log.info('test_cleanallruv_clean_force: disable master 4...')
-    try:
-        topology.master4.replica.disableReplication(DEFAULT_SUFFIX)
-    except:
-        log.fatal('error!')
-        assert False
+    topology_m4.ms["master4"].replica.disableReplication(DEFAULT_SUFFIX)
 
     # Start master 3, it should be out of sync with the other replicas...
-    topology.master3.start(timeout=30)
+    topology_m4.ms["master3"].start(timeout=30)
 
     # Remove the agreements from the other masters that point to master 4
-    remove_master4_agmts("test_cleanallruv_clean_force", topology)
+    remove_master4_agmts("test_cleanallruv_clean_force", topology_m4)
 
     # Run the task, use "force" because master 3 is not in sync with the other replicas
     # in regards to the replica 4 RUV
     log.info('test_cleanallruv_clean_force: run the cleanAllRUV task...')
     try:
-        topology.master1.tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX, replicaid='4',
-                                           force=True, args={TASK_WAIT: True})
+        topology_m4.ms["master1"].tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX, replicaid='4',
+                                                    force=True, args={TASK_WAIT: True})
     except ValueError as e:
         log.fatal('test_cleanallruv_clean_force: Problem running cleanAllRuv task: ' +
                   e.message('desc'))
@@ -835,7 +545,7 @@ def test_cleanallruv_clean_force(topology):
 
     # Check the other master's RUV for 'replica 4'
     log.info('test_cleanallruv_clean_force: check all the masters have been cleaned...')
-    clean = check_ruvs("test_cleanallruv_clean_force", topology)
+    clean = check_ruvs("test_cleanallruv_clean_force", topology_m4)
     if not clean:
         log.fatal('test_cleanallruv_clean_force: Failed to clean replicas')
         assert False
@@ -845,10 +555,10 @@ def test_cleanallruv_clean_force(topology):
     #
     # Cleanup - restore master 4
     #
-    restore_master4(topology)
+    restore_master4(topology_m4)
 
 
-def test_cleanallruv_abort(topology):
+def test_cleanallruv_abort(topology_m4):
     '''
     Test the abort task.
 
@@ -864,24 +574,20 @@ def test_cleanallruv_abort(topology):
 
     # Disable master 4
     log.info('test_cleanallruv_abort: disable replication on master 4...')
-    try:
-        topology.master4.replica.disableReplication(DEFAULT_SUFFIX)
-    except:
-        log.fatal('test_cleanallruv_abort: failed to disable replication')
-        assert False
+    topology_m4.ms["master4"].replica.disableReplication(DEFAULT_SUFFIX)
 
     # Remove the agreements from the other masters that point to master 4
-    remove_master4_agmts("test_cleanallruv_abort", topology)
+    remove_master4_agmts("test_cleanallruv_abort", topology_m4)
 
     # Stop master 2
     log.info('test_cleanallruv_abort: stop master 2 to freeze the cleanAllRUV task...')
-    topology.master2.stop(timeout=30)
+    topology_m4.ms["master2"].stop(timeout=30)
 
     # Run the task
     log.info('test_cleanallruv_abort: add the cleanAllRUV task...')
     try:
-        (clean_task_dn, rc) = topology.master1.tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX,
-                                  replicaid='4', args={TASK_WAIT: False})
+        (clean_task_dn, rc) = topology_m4.ms["master1"].tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX,
+                                                                          replicaid='4', args={TASK_WAIT: False})
     except ValueError as e:
         log.fatal('test_cleanallruv_abort: Problem running cleanAllRuv task: ' +
                   e.message('desc'))
@@ -893,8 +599,8 @@ def test_cleanallruv_abort(topology):
     # Abort the task
     log.info('test_cleanallruv_abort: abort the cleanAllRUV task...')
     try:
-        topology.master1.tasks.abortCleanAllRUV(suffix=DEFAULT_SUFFIX, replicaid='4',
-                                                args={TASK_WAIT: True})
+        topology_m4.ms["master1"].tasks.abortCleanAllRUV(suffix=DEFAULT_SUFFIX, replicaid='4',
+                                                         args={TASK_WAIT: True})
     except ValueError as e:
         log.fatal('test_cleanallruv_abort: Problem running abortCleanAllRuv task: ' +
                   e.message('desc'))
@@ -902,21 +608,21 @@ def test_cleanallruv_abort(topology):
 
     # Check master 1 does not have the clean task running
     log.info('test_cleanallruv_abort: check master 1 no longer has a cleanAllRUV task...')
-    if not task_done(topology, clean_task_dn):
+    if not task_done(topology_m4, clean_task_dn):
         log.fatal('test_cleanallruv_abort: CleanAllRUV task was not aborted')
         assert False
 
     # Start master 2
     log.info('test_cleanallruv_abort: start master 2 to begin the restore process...')
-    topology.master2.start(timeout=30)
+    topology_m4.ms["master2"].start(timeout=30)
 
     #
     # Now run the clean task task again to we can properly restore master 4
     #
     log.info('test_cleanallruv_abort: run cleanAllRUV task so we can properly restore master 4...')
     try:
-        topology.master1.tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX,
-                                  replicaid='4', args={TASK_WAIT: True})
+        topology_m4.ms["master1"].tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX,
+                                                    replicaid='4', args={TASK_WAIT: True})
     except ValueError as e:
         log.fatal('test_cleanallruv_abort: Problem running cleanAllRuv task: ' + e.message('desc'))
         assert False
@@ -926,10 +632,10 @@ def test_cleanallruv_abort(topology):
     #
     # Cleanup - Restore master 4
     #
-    restore_master4(topology)
+    restore_master4(topology_m4)
 
 
-def test_cleanallruv_abort_restart(topology):
+def test_cleanallruv_abort_restart(topology_m4):
     '''
     Test the abort task can handle a restart, and then resume
     '''
@@ -938,25 +644,21 @@ def test_cleanallruv_abort_restart(topology):
 
     # Disable master 4
     log.info('test_cleanallruv_abort_restart: disable replication on master 4...')
-    try:
-        topology.master4.replica.disableReplication(DEFAULT_SUFFIX)
-    except:
-        log.fatal('error!')
-        assert False
+    topology_m4.ms["master4"].replica.disableReplication(DEFAULT_SUFFIX)
 
     # Remove the agreements from the other masters that point to master 4
     log.info('test_cleanallruv_abort_restart: remove all the agreements to master 4...)')
-    remove_master4_agmts("test_cleanallruv_abort_restart", topology)
+    remove_master4_agmts("test_cleanallruv_abort_restart", topology_m4)
 
     # Stop master 3
     log.info('test_cleanallruv_abort_restart: stop master 3 to freeze the cleanAllRUV task...')
-    topology.master3.stop()
+    topology_m4.ms["master3"].stop()
 
     # Run the task
     log.info('test_cleanallruv_abort_restart: add the cleanAllRUV task...')
     try:
-        (clean_task_dn, rc) = topology.master1.tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX,
-                                  replicaid='4', args={TASK_WAIT: False})
+        (clean_task_dn, rc) = topology_m4.ms["master1"].tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX,
+                                                                          replicaid='4', args={TASK_WAIT: False})
     except ValueError as e:
         log.fatal('test_cleanallruv_abort_restart: Problem running cleanAllRuv task: ' +
                   e.message('desc'))
@@ -968,8 +670,8 @@ def test_cleanallruv_abort_restart(topology):
     # Abort the task
     log.info('test_cleanallruv_abort_restart: abort the cleanAllRUV task...')
     try:
-        topology.master1.tasks.abortCleanAllRUV(suffix=DEFAULT_SUFFIX, replicaid='4',
-                                                certify=True, args={TASK_WAIT: False})
+        topology_m4.ms["master1"].tasks.abortCleanAllRUV(suffix=DEFAULT_SUFFIX, replicaid='4',
+                                                         certify=True, args={TASK_WAIT: False})
     except ValueError as e:
         log.fatal('test_cleanallruv_abort_restart: Problem running test_cleanallruv_abort_restart task: ' +
                   e.message('desc'))
@@ -981,21 +683,21 @@ def test_cleanallruv_abort_restart(topology):
     # Check master 1 does not have the clean task running
     log.info('test_cleanallruv_abort: check master 1 no longer has a cleanAllRUV task...')
 
-    if not task_done(topology, clean_task_dn):
+    if not task_done(topology_m4, clean_task_dn):
         log.fatal('test_cleanallruv_abort_restart: CleanAllRUV task was not aborted')
         assert False
 
     # Now restart master 1, and make sure the abort process completes
-    topology.master1.restart()
-    if topology.master1.detectDisorderlyShutdown():
+    topology_m4.ms["master1"].restart()
+    if topology_m4.ms["master1"].detectDisorderlyShutdown():
         log.fatal('test_cleanallruv_abort_restart: Master 1 previously crashed!')
         assert False
 
     # Start master 3
-    topology.master3.start()
+    topology_m4.ms["master3"].start()
 
     # Check master 1 tried to run abort task.  We expect the abort task to be aborted.
-    if not topology.master1.searchErrorsLog('Aborting abort task'):
+    if not topology_m4.ms["master1"].searchErrorsLog('Aborting abort task'):
         log.fatal('test_cleanallruv_abort_restart: Abort task did not restart')
         assert False
 
@@ -1004,8 +706,8 @@ def test_cleanallruv_abort_restart(topology):
     #
     log.info('test_cleanallruv_abort_restart: run cleanAllRUV task so we can properly restore master 4...')
     try:
-        topology.master1.tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX,
-                                  replicaid='4', args={TASK_WAIT: True})
+        topology_m4.ms["master1"].tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX,
+                                                    replicaid='4', args={TASK_WAIT: True})
     except ValueError as e:
         log.fatal('test_cleanallruv_abort_restart: Problem running cleanAllRuv task: ' +
                   e.message('desc'))
@@ -1016,10 +718,10 @@ def test_cleanallruv_abort_restart(topology):
     #
     # Cleanup - Restore master 4
     #
-    restore_master4(topology)
+    restore_master4(topology_m4)
 
 
-def test_cleanallruv_abort_certify(topology):
+def test_cleanallruv_abort_certify(topology_m4):
     '''
     Test the abort task.
 
@@ -1035,24 +737,20 @@ def test_cleanallruv_abort_certify(topology):
 
     # Disable master 4
     log.info('test_cleanallruv_abort_certify: disable replication on master 4...')
-    try:
-        topology.master4.replica.disableReplication(DEFAULT_SUFFIX)
-    except:
-        log.fatal('error!')
-        assert False
+    topology_m4.ms["master4"].replica.disableReplication(DEFAULT_SUFFIX)
 
     # Remove the agreements from the other masters that point to master 4
-    remove_master4_agmts("test_cleanallruv_abort_certify", topology)
+    remove_master4_agmts("test_cleanallruv_abort_certify", topology_m4)
 
     # Stop master 2
     log.info('test_cleanallruv_abort_certify: stop master 2 to freeze the cleanAllRUV task...')
-    topology.master2.stop()
+    topology_m4.ms["master2"].stop()
 
     # Run the task
     log.info('test_cleanallruv_abort_certify: add the cleanAllRUV task...')
     try:
-        (clean_task_dn, rc) = topology.master1.tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX,
-                                  replicaid='4', args={TASK_WAIT: False})
+        (clean_task_dn, rc) = topology_m4.ms["master1"].tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX,
+                                                                          replicaid='4', args={TASK_WAIT: False})
     except ValueError as e:
         log.fatal('test_cleanallruv_abort_certify: Problem running cleanAllRuv task: ' +
                   e.message('desc'))
@@ -1064,8 +762,9 @@ def test_cleanallruv_abort_certify(topology):
     # Abort the task
     log.info('test_cleanallruv_abort_certify: abort the cleanAllRUV task...')
     try:
-        (abort_task_dn, rc) = topology.master1.tasks.abortCleanAllRUV(suffix=DEFAULT_SUFFIX,
-                                  replicaid='4', certify=True, args={TASK_WAIT: False})
+        (abort_task_dn, rc) = topology_m4.ms["master1"].tasks.abortCleanAllRUV(suffix=DEFAULT_SUFFIX,
+                                                                               replicaid='4', certify=True,
+                                                                               args={TASK_WAIT: False})
     except ValueError as e:
         log.fatal('test_cleanallruv_abort_certify: Problem running abortCleanAllRuv task: ' +
                   e.message('desc'))
@@ -1075,36 +774,36 @@ def test_cleanallruv_abort_certify(topology):
     log.info('test_cleanallruv_abort_certify: sleep for 5 seconds')
     time.sleep(5)
 
-    if task_done(topology, abort_task_dn, 60):
+    if task_done(topology_m4, abort_task_dn, 60):
         log.fatal('test_cleanallruv_abort_certify: abort task incorrectly finished')
         assert False
 
     # Now start master 2 so it can be aborted
     log.info('test_cleanallruv_abort_certify: start master 2 to allow the abort task to finish...')
-    topology.master2.start()
+    topology_m4.ms["master2"].start()
 
     # Wait for the abort task to stop
-    if not task_done(topology, abort_task_dn, 60):
+    if not task_done(topology_m4, abort_task_dn, 60):
         log.fatal('test_cleanallruv_abort_certify: The abort CleanAllRUV task was not aborted')
         assert False
 
     # Check master 1 does not have the clean task running
     log.info('test_cleanallruv_abort_certify: check master 1 no longer has a cleanAllRUV task...')
-    if not task_done(topology, clean_task_dn):
+    if not task_done(topology_m4, clean_task_dn):
         log.fatal('test_cleanallruv_abort_certify: CleanAllRUV task was not aborted')
         assert False
 
     # Start master 2
     log.info('test_cleanallruv_abort_certify: start master 2 to begin the restore process...')
-    topology.master2.start()
+    topology_m4.ms["master2"].start()
 
     #
     # Now run the clean task task again to we can properly restore master 4
     #
     log.info('test_cleanallruv_abort_certify: run cleanAllRUV task so we can properly restore master 4...')
     try:
-        topology.master1.tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX,
-                                  replicaid='4', args={TASK_WAIT: True})
+        topology_m4.ms["master1"].tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX,
+                                                    replicaid='4', args={TASK_WAIT: True})
     except ValueError as e:
         log.fatal('test_cleanallruv_abort_certify: Problem running cleanAllRuv task: ' +
                   e.message('desc'))
@@ -1115,10 +814,10 @@ def test_cleanallruv_abort_certify(topology):
     #
     # Cleanup - Restore master 4
     #
-    restore_master4(topology)
+    restore_master4(topology_m4)
 
 
-def test_cleanallruv_stress_clean(topology):
+def test_cleanallruv_stress_clean(topology_m4):
     '''
     Put each server(m1 - m4) under stress, and perform the entire clean process
     '''
@@ -1126,13 +825,13 @@ def test_cleanallruv_stress_clean(topology):
     log.info('test_cleanallruv_stress_clean: put all the masters under load...')
 
     # Put all the masters under load
-    m1_add_users = AddUsers(topology.master1, 2000)
+    m1_add_users = AddUsers(topology_m4.ms["master1"], 2000)
     m1_add_users.start()
-    m2_add_users = AddUsers(topology.master2, 2000)
+    m2_add_users = AddUsers(topology_m4.ms["master2"], 2000)
     m2_add_users.start()
-    m3_add_users = AddUsers(topology.master3, 2000)
+    m3_add_users = AddUsers(topology_m4.ms["master3"], 2000)
     m3_add_users.start()
-    m4_add_users = AddUsers(topology.master4, 2000)
+    m4_add_users = AddUsers(topology_m4.ms["master4"], 2000)
     m4_add_users.start()
 
     # Allow sometime to get replication flowing in all directions
@@ -1142,7 +841,7 @@ def test_cleanallruv_stress_clean(topology):
     # Put master 4 into read only mode
     log.info('test_cleanallruv_stress_clean: put master 4 into read-only mode...')
     try:
-        topology.master4.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE, 'nsslapd-readonly', 'on')])
+        topology_m4.ms["master4"].modify_s(DN_CONFIG, [(ldap.MOD_REPLACE, 'nsslapd-readonly', 'on')])
     except ldap.LDAPError as e:
         log.fatal('test_cleanallruv_stress_clean: Failed to put master 4 into read-only mode: error ' +
                   e.message['desc'])
@@ -1155,19 +854,19 @@ def test_cleanallruv_stress_clean(topology):
     # Disable master 4
     log.info('test_cleanallruv_stress_clean: disable replication on master 4...')
     try:
-        topology.master4.replica.disableReplication(DEFAULT_SUFFIX)
+        topology_m4.ms["master4"].replica.disableReplication(DEFAULT_SUFFIX)
     except:
         log.fatal('test_cleanallruv_stress_clean: failed to diable replication')
         assert False
 
     # Remove the agreements from the other masters that point to master 4
-    remove_master4_agmts("test_cleanallruv_stress_clean", topology)
+    remove_master4_agmts("test_cleanallruv_stress_clean", topology_m4)
 
     # Run the task
     log.info('test_cleanallruv_stress_clean: Run the cleanAllRUV task...')
     try:
-        topology.master1.tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX, replicaid='4',
-                                           args={TASK_WAIT: True})
+        topology_m4.ms["master1"].tasks.cleanAllRUV(suffix=DEFAULT_SUFFIX, replicaid='4',
+                                                    args={TASK_WAIT: True})
     except ValueError as e:
         log.fatal('test_cleanallruv_stress_clean: Problem running cleanAllRuv task: ' +
                   e.message('desc'))
@@ -1182,7 +881,7 @@ def test_cleanallruv_stress_clean(topology):
 
     # Check the other master's RUV for 'replica 4'
     log.info('test_cleanallruv_stress_clean: check if all the replicas have been cleaned...')
-    clean = check_ruvs("test_cleanallruv_stress_clean", topology)
+    clean = check_ruvs("test_cleanallruv_stress_clean", topology_m4)
     if not clean:
         log.fatal('test_cleanallruv_stress_clean: Failed to clean replicas')
         assert False
@@ -1199,13 +898,13 @@ def test_cleanallruv_stress_clean(topology):
 
     # Turn off readonly mode
     try:
-        topology.master4.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE, 'nsslapd-readonly', 'off')])
+        topology_m4.ms["master4"].modify_s(DN_CONFIG, [(ldap.MOD_REPLACE, 'nsslapd-readonly', 'off')])
     except ldap.LDAPError as e:
         log.fatal('test_cleanallruv_stress_clean: Failed to put master 4 into read-only mode: error ' +
                   e.message['desc'])
         assert False
 
-    restore_master4(topology)
+    restore_master4(topology_m4)
 
 
 if __name__ == '__main__':
